mcrypt_enc_is_block_algorithm
mcrypt_enc_self_test
Mcrypt Functions
PHP Manual

# mcrypt_enc_is_block_mode

Checks whether the opened mode outputs blocks

### Description

bool mcrypt_enc_is_block_mode ( resource `$td` )

Tells whether the opened mode outputs blocks (e.g. `TRUE` for cbc and ecb, and `FALSE` for cfb and stream).

### Parameters

`td`

  The encryption descriptor.

### Return Values

Returns `TRUE` if the mode outputs blocks of bytes, or `FALSE` if it outputs just bytes.